name: Build and Deploy Edge version to GH Pages
on:
  workflow_dispatch:
  push:
    branches:
      - main
      - master
jobs:
  build-and-deploy:
    runs-on: ubuntu-latest
    steps:
      - name: Checkout 🛎️
        uses: actions/checkout@v4
        with:
          fetch-depth: 100
          fetch-tags: true
      - uses: actions/setup-node@v4
        with:
          node-version: "20"
      - name: Install and Build 🔧
        run: |
          yarn install --immutable
          yarn build --base=/synapse-admin

      - name: Deploy 🚀
        uses: JamesIves/github-pages-deploy-action@v4.6.0
        with:
          branch: gh-pages
          folder: dist
